"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$ping = void 0;
const transpilerHelpers_js_1 = require("../../../util/transpilerHelpers.js");
exports.$ping = {
    name: "$ping",
    type: "getter",
    brackets: false,
    optional: false,
    fields: [],
    version: "7.0.0",
    default: [],
    returns: "number",
    description: "Returns the Ping of client",
    example: "client ping is `$ping`",
    code: (data, scope) => {
        const currentScope = scope[scope.length - 1];
        const ping = "__$DISCORD_DATA$__.client.ws.data.ping";
        const res = (0, transpilerHelpers_js_1.escapeResult)(`${ping}`);
        currentScope.update(res, data);
        return {
            code: res,
            scope,
        };
    },
};
//# sourceMappingURL=$ping.js.map