"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$guildId = void 0;
const transpilerHelpers_js_1 = require("../../../util/transpilerHelpers.js");
exports.$guildId = {
    name: "$guildId",
    type: "getter",
    brackets: false,
    optional: false,
    fields: [],
    version: "7.0.0",
    default: [],
    returns: "number",
    description: "Returns the guildId of current guild",
    example: "current guild id is `$guildId`",
    code: (data, scope) => {
        const currentScope = scope[scope.length - 1];
        const guildId = "__$DISCORD_DATA$__.guild?.id";
        const res = (0, transpilerHelpers_js_1.escapeResult)(`(${guildId})`);
        currentScope.update(res, data);
        return {
            code: res,
            scope,
        };
    },
};
//# sourceMappingURL=$guildId.js.map