import { CommandOptions } from "../typings/interfaces.js";
import { AsyncFunction, CommandTypes } from "../typings/types.js";
import { AoiClient } from "./AoiClient.js";
import { Snowflake } from "zeneth";
export declare class Command {
    name: string;
    type: CommandTypes;
    code: string | AsyncFunction;
    aliases?: string[];
    channel?: string | Snowflake;
    __path__: string;
    reverseRead?: boolean;
    executeAt?: "guild" | "dm" | "both";
    __compiled__: AsyncFunction;
    [key: string]: unknown;
    constructor(data: CommandOptions, client: AoiClient);
}
//# sourceMappingURL=Command.d.ts.map