"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AoiClientEvents = exports.BundlerCustoms = exports.TranspilerCustoms = void 0;
var TranspilerCustoms;
(function (TranspilerCustoms) {
    TranspilerCustoms["F"] = "#FUNCTION#";
    TranspilerCustoms["FS"] = "#FUNCTION_START#";
    TranspilerCustoms["FE"] = "#FUNCTION_END#";
    TranspilerCustoms["FSEP"] = "#FUNCTION_SEPARATOR#";
    TranspilerCustoms["FFUN"] = "#FUNCTION_FUNCTION#";
    TranspilerCustoms["FSET"] = "#FUNCTION_SETTER#";
    TranspilerCustoms["FGET"] = "#FUNCTION_GETTER";
    TranspilerCustoms["FISS"] = "#FUNCTION_INSIDE_SCOPE_START#";
    TranspilerCustoms["FISE"] = "#FUNCTION_INSIDE_SCOPE_END#";
    TranspilerCustoms["FSS"] = "#FUNCTION_SCOPE_START#";
    TranspilerCustoms["FSE"] = "#FUNCTION_SCOPE_END#";
    TranspilerCustoms["FFS"] = "#FUNCTION_FUNCTION_START#";
    TranspilerCustoms["FFE"] = "#FUNCTION_FUNCTION_END#";
    TranspilerCustoms["MFS"] = "#MATH_FUNCTION_START#";
    TranspilerCustoms["MFE"] = "#MATH_FUNCTION_END#";
    TranspilerCustoms["SL"] = "#STRING_LITERAL#";
    TranspilerCustoms["NL"] = "#NEW_LINE#";
})(TranspilerCustoms = exports.TranspilerCustoms || (exports.TranspilerCustoms = {}));
var BundlerCustoms;
(function (BundlerCustoms) {
    BundlerCustoms["LB"] = "#LEFT_BRACKET#";
    BundlerCustoms["RB"] = "#RIGHT_BRACKET#";
    BundlerCustoms["EJS"] = "#EMBEDDED_JS#";
})(BundlerCustoms = exports.BundlerCustoms || (exports.BundlerCustoms = {}));
var AoiClientEvents;
(function (AoiClientEvents) {
    AoiClientEvents["Error"] = "error";
})(AoiClientEvents = exports.AoiClientEvents || (exports.AoiClientEvents = {}));
//# sourceMappingURL=enums.js.map