import { GatewayEventNames } from "zeneth";
export function onReady(client) {
    client.client.on(GatewayEventNames.Ready, async (data) => {
        await ready(data, client);
    });
}
export async function ready(data, client) {
    await client.managers.commands.exec({
        type: "ready",
        data: {
            client: client.client,
            bot: client,
            data,
        },
        filter: () => true,
    });
}
//# sourceMappingURL=ready.js.map