/// <reference types="node" />
import { EventEmitter } from "events";
import { AoiClient } from "./AoiClient.js";
import { Group } from "@akarui/structures";
import { Command } from "./Command.js";
import { CommandOptions } from "../index.js";
export declare class CustomEvent extends EventEmitter {
    #private;
    commands: Group<string, Command>;
    constructor(client: AoiClient);
    listen(eventName: string): void;
    add(command: CommandOptions): void;
    addMany(commands: CommandOptions[]): void;
    load({ path, usingAoi, }: {
        path: string;
        usingAoi?: boolean;
    }): Promise<void>;
}
//# sourceMappingURL=CustomEvent.d.ts.map