"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseString = exports.createStringAST = void 0;
const enums_js_1 = require("../../typings/enums.js");
const Block_js_1 = __importDefault(require("../structs/Block.js"));
function createStringAST(text) {
    let block = new Block_js_1.default(-1, true);
    let i = 0;
    let res = "";
    // const stack: number[] = [];
    // while (i <= text.length) {
    //     if (res.includes("#FUNCTION_START#")) {
    //         stack.push(i - 15);
    //         res = text[i];
    //     } else if (res.includes("#FUNCTION_END#")) {
    //         const a = stack.pop();
    //         if (!a) {
    //             stack.push(i - 13);
    //         }
    //         res = text[i];
    //     } else if(res.includes(TranspilerCustoms.MFS)) {
    //         stack.push(i - TranspilerCustoms.MFS.length-1);
    //         res = text[i];
    //     } else if(res.includes(TranspilerCustoms.MFE)) {
    //         const a = stack.pop();
    //         if (!a) {
    //             stack.push(i - TranspilerCustoms.MFE.length-1);
    //         }
    //         res = text[i];
    //     }
    //     else {
    //         res += text[i];
    //     }
    //     i++;
    // }
    // if (stack.length) {
    //     stack;
    //     stack.forEach((x) => {
    //         text = text.substring(0, x - 1) + text.slice(x + 15, text.length);
    //     });
    // }
    i = 0;
    res = "";
    while (i <= text.length) {
        if (res.includes("#FUNCTION_START#")) {
            const nest = new Block_js_1.default(block.nest.length, false, block);
            block.text = block.text.replace("#FUNCTION_START#", "");
            block.add(`#NEST_POSITION_${block.nest.length}#`);
            block.addBlock(nest);
            block = nest;
            block.add(text[i]);
            res = text[i] ?? "";
        }
        else if (res.includes("#FUNCTION_END#")) {
            block.text = block.text.replace("#FUNCTION_END#", "");
            block = block.parent ? block.parent : block;
            block.add(text[i] ?? "");
            res = text[i] ?? "";
        }
        else if (res.includes(enums_js_1.TranspilerCustoms.MFS)) {
            const nest = new Block_js_1.default(block.nest.length, false, block);
            block.text = block.text.replace(enums_js_1.TranspilerCustoms.MFS, "");
            block.add(`#NEST_POSITION_${block.nest.length}#`);
            block.addBlock(nest);
            block = nest;
            block.add(text[i]);
            res = text[i] ?? "";
        }
        else if (res.includes(enums_js_1.TranspilerCustoms.MFE)) {
            block.text = block.text.replace(enums_js_1.TranspilerCustoms.MFE, "");
            block = block.parent ? block.parent : block;
            block.add(text[i] ?? "");
            res = text[i] ?? "";
        }
        else {
            res += text[i];
            block.add(text[i] ?? "");
        }
        i++;
    }
    return block;
}
exports.createStringAST = createStringAST;
function parseString(text) {
    const ast = createStringAST(text);
    return ast.parse().replaceAll(enums_js_1.BundlerCustoms.EJS, `\${${enums_js_1.BundlerCustoms.EJS}}`);
}
exports.parseString = parseString;
//console.log(parseString("#FUNCTION_START#__$DISCORD_DATA__#FUNCTION_END#"))
//# sourceMappingURL=stringParser.js.map