"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definePluginConfigs = void 0;
function definePluginConfigs(options) {
    const { plugins } = options;
    const obj = {
        pre: [],
        post: [],
        load: [],
        preEvent: [],
        postEvent: [],
        preCommand: [],
        postCommand: [],
    };
    for (const plugin of plugins) {
        obj[plugin.type] = plugin.plugins.map(p => p.func);
    }
    return obj;
}
exports.definePluginConfigs = definePluginConfigs;
//# sourceMappingURL=plugin.js.map