"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ready = exports.onReady = void 0;
const zeneth_1 = require("zeneth");
function onReady(client) {
    client.client.on(zeneth_1.GatewayEventNames.Ready, async (data) => {
        await ready(data, client);
    });
}
exports.onReady = onReady;
async function ready(data, client) {
    await client.managers.commands.exec({
        type: "ready",
        data: {
            client: client.client,
            bot: client,
            data,
        },
        filter: () => true,
    });
}
exports.ready = ready;
//# sourceMappingURL=ready.js.map