import { Group } from "@akarui/structures";
import { AoiClient } from "../structures/AoiClient.js";
import { FunctionData } from "../typings/interfaces.js";
export declare class FunctionManager {
    client: AoiClient;
    functions: Group<string, FunctionData>;
    constructor(client: AoiClient);
    createFunction(data: FunctionData): void;
    createManyFunctions(data: FunctionData[]): void;
    load(path: string): Promise<void>;
}
//# sourceMappingURL=Function.d.ts.map