import { Plugin } from "../typings/interfaces.js";
import { PluginType, PluginManagerProps } from "../typings/types.js";
interface PluginManager extends PluginManagerProps {
    types: PluginType[];
}
declare class PluginManager {
    #private;
    constructor();
    add(plugin: Plugin, type: PluginType): void;
    getPlugins(type: PluginType): Plugin[];
    getPlugin(name: string, type: PluginType): Plugin | undefined;
}
export default PluginManager;
//# sourceMappingURL=Plugin.d.ts.map