"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultCacheConfig = exports.isAutoFetchDataEnabled = void 0;
function isAutoFetchDataEnabled(string, client) {
    if (!string)
        return false;
    if (client.options.autoFetchData?.includes(string) ||
        client.options.autoFetchData?.includes("all"))
        return true;
    else
        return false;
}
exports.isAutoFetchDataEnabled = isAutoFetchDataEnabled;
function defaultCacheConfig() {
    return {
        messages: {
            class: "Message",
            cacheFunction: (message) => !message.author.bot,
        },
        channels: {
            class: "Channel",
        },
        guilds: {
            class: "Guild",
        },
    };
}
exports.defaultCacheConfig = defaultCacheConfig;
//# sourceMappingURL=DapiHelper.js.map