import Scope from "../core/structs/Scope.js";
import { funcData } from "../typings/interfaces.js";
export declare function areBracketsBalanced(code: string): boolean;
export declare function countBrackets(code: string): {
    leftbracketCount: number;
    rightbracketCount: number;
};
export declare function parseData(text: string): any;
export declare function escapeVars(name: string): string;
export declare function escapeResult(res: string): string;
export declare function escapeMathResult(res: string): string;
export declare function parseResult(result: string): string;
export declare function removeSetFunc(code: string): string;
export declare function escapeFunctionResult(result: string): string;
export declare function hasFunction(code: string): boolean;
export declare function getFunctionData(code: string, func: string, functions: string[]): funcData;
export declare const functionFinderRegex: RegExp;
export declare function getFunctionList(code: string, functions: string[]): string[];
export declare function reverseArray(arr: funcData[]): funcData[];
export declare function Reverse(code: string, funcs: funcData[]): {
    code: string;
    funcs: funcData[];
};
export declare function ExecuteData(code: string, data: funcData[], scope: Scope[], reverse?: boolean): {
    code: string;
    scope: Scope[];
};
export declare function _parseString(text: string): string;
export declare function convertToBool(output: string): boolean;
export declare function removeFF(total: string): string;
export declare function removeF(total: string): string;
export declare function removeMF(total: string): string;
export declare function isBigInt(string: string): boolean;
export declare function removeMultiLineComments(code: string): string;
//# sourceMappingURL=transpilerHelpers.d.ts.map