export function definePluginConfigs(options) {
    const { plugins } = options;
    const obj = {
        pre: [],
        post: [],
        load: [],
        preEvent: [],
        postEvent: [],
        preCommand: [],
        postCommand: [],
    };
    for (const plugin of plugins) {
        obj[plugin.type] = plugin.plugins.map(p => p.func);
    }
    return obj;
}
//# sourceMappingURL=plugin.js.map