import { Client, CreateApplicationCommandPayload, Snowflake } from "zeneth";
import { AoiClientOptions } from "../typings/interfaces.js";
import { AoiClientProps } from "../typings/types.js";
import { AoiClientEvents } from "../typings/enums.js";
interface AoiClient extends AoiClientProps {
    client: Client;
}
declare class AoiClient {
    #private;
    constructor(options: AoiClientOptions);
    emit(event: AoiClientEvents, ...args: unknown[]): void;
    on(event: AoiClientEvents, func: (...args: unknown[]) => void): void;
    createApplicationCommand(globalOrGuldId: "global" | Snowflake, data: CreateApplicationCommandPayload): Promise<import("zeneth").Camelize<import("zeneth").RawApplicationData> | undefined>;
}
export { AoiClient };
//# sourceMappingURL=AoiClient.d.ts.map